<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Usuarios_model extends CI_Model
{

    public $table = 'ys_usuarios';

    public function insert($atendente)
    {
        $this->db->insert($this->table, $atendente);

        return $this->db->insert_id();
    }

    public function find($id = null)
    {
        $this->db->from($this->table);

        //$this->db->join('usuarios', "{$this->table}.id_usuario = usuarios.id_usuario");
        //$this->db->join('enderecos', 'usuarios.id_endereco = enderecos.id_endereco');

        if (!empty($id)) {
            $this->db->where('id_usuario', $id);

            return $this->db->get()->row();
        }

        return $this->db->get()->result();
    }

    public function delete($id)
    {
        $this->db->delete($this->table, "id_usuario = {$id}");
    }
}